| Home | Libraries | People | FAQ | More

## Macro BOOST_MPI_HAS_MEMORY_ALLOCATION

BOOST_MPI_HAS_MEMORY_ALLOCATION — Determine if the MPI implementation has support for memory allocation.

## Synopsis

    BOOST_MPI_HAS_MEMORY_ALLOCATION

## Description

This macro will be defined when the underlying MPI implementation has support for the MPI-2 memory allocation routines `MPI_Alloc_mem` and `MPI_Free_mem`. When defined, the `allocator` class template will provide Standard Library-compliant access to these memory-allocation routines.